Products
GET /products/search
Search products
GET
/
products
/
search
cURL
curl --request GET \
--url https://admin.fanfare.io/api/products/search \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://admin.fanfare.io/api/products/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://admin.fanfare.io/api/products/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin.fanfare.io/api/products/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"defaultVariantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"handle": "<string>",
"metadata": {},
"primaryExternalId": "<string>",
"primaryLastSyncedAt": "2023-11-07T05:31:56Z",
"primarySourceVendor": "<string>",
"primarySyncSource": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"syncSource": "<string>",
"syncSourceId": "<string>",
"lastSyncedAt": "2023-11-07T05:31:56Z",
"sourceData": {},
"syncStatus": "PENDING",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
},
"primarySyncSourceId": "<string>",
"productMediaAssets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mediaAsset": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mimeType": "image/jpeg",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"altText": "<string>",
"description": "<string>",
"publicUrl": "<string>",
"sourceUrl": "<string>",
"thumbnailUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"uploadUrl": "<string>"
},
"mediaAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 1,
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"purpose": "<string>"
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"variants": [
{
"options": [
{
"optionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"optionName": "<string>",
"value": "<string>",
"valueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inventoryPolicy": "untracked",
"inventoryQuantity": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"metadata": {},
"primaryExternalId": "<string>",
"primaryLastSyncedAt": "2023-11-07T05:31:56Z",
"primarySourceVendor": "<string>",
"primarySyncSourceId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
}
]
}
]{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Fanfare secret key. Keep secret credentials on your server.
Response
Products retrieved successfully
Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
cURL
curl --request GET \
--url https://admin.fanfare.io/api/products/search \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://admin.fanfare.io/api/products/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://admin.fanfare.io/api/products/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin.fanfare.io/api/products/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"defaultVariantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"handle": "<string>",
"metadata": {},
"primaryExternalId": "<string>",
"primaryLastSyncedAt": "2023-11-07T05:31:56Z",
"primarySourceVendor": "<string>",
"primarySyncSource": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"syncSource": "<string>",
"syncSourceId": "<string>",
"lastSyncedAt": "2023-11-07T05:31:56Z",
"sourceData": {},
"syncStatus": "PENDING",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
},
"primarySyncSourceId": "<string>",
"productMediaAssets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mediaAsset": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mimeType": "image/jpeg",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"altText": "<string>",
"description": "<string>",
"publicUrl": "<string>",
"sourceUrl": "<string>",
"thumbnailUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"uploadUrl": "<string>"
},
"mediaAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 1,
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"purpose": "<string>"
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"variants": [
{
"options": [
{
"optionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"optionName": "<string>",
"value": "<string>",
"valueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inventoryPolicy": "untracked",
"inventoryQuantity": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"metadata": {},
"primaryExternalId": "<string>",
"primaryLastSyncedAt": "2023-11-07T05:31:56Z",
"primarySourceVendor": "<string>",
"primarySyncSourceId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
}
]
}
]{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}